Page MenuHomePhabricator

CentralAuth needs uses of global $wgUser removed
Open, Stalled, MediumPublic

Event Timeline

DannyS712 triaged this task as Medium priority.Jan 16 2020, 4:42 PM
DannyS712 created this task.
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJan 16 2020, 4:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 565334 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CentralAuth@master] Remove use of global $wgUser (part 1)

https://gerrit.wikimedia.org/r/565334

Change 565334 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Remove use of global $wgUser (part 1)

https://gerrit.wikimedia.org/r/565334

Change 566392 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CentralAuth@master] Remove use of global $wgUser (part 2)

https://gerrit.wikimedia.org/r/566392

Change 566392 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Remove use of global $wgUser (part 2)

https://gerrit.wikimedia.org/r/566392

TheSandDoctor added a subscriber: TheSandDoctor.EditedJan 31 2020, 4:51 PM

@DannyS712 is there anything further needing doing here (specifically this subtask) or is this good to close?

@DannyS712 is there anything further needing doing here (specifically this subtask) or is this good to close?

There is still more to do

DannyS712 changed the task status from Open to Stalled.Jun 6 2020, 4:54 AM
DannyS712 moved this task from In progress to Later on the User-DannyS712 board.

Remaining uses:
SpecialCentralLogin::doLoginComplete - writes to $wgUser, cannot be removed until after reading is deprecated with 1.35 release
DeleteEmptyAccounts::execute - writes to $wgUser, likewise cannot be removed

Stalling until 1.35 is cut

Change 604229 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CentralAuth@master] Reduce direct references to $wgUser

https://gerrit.wikimedia.org/r/604229

Change 604229 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Reduce direct references to $wgUser

https://gerrit.wikimedia.org/r/604229

DannyS712 updated the task description. (Show Details)Sep 13 2020, 8:09 PM

Change 630239 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CentralAuth@master] Remove a mention of $wgUser in a comment

https://gerrit.wikimedia.org/r/630239

Change 630239 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Remove a mention of $wgUser in a comment

https://gerrit.wikimedia.org/r/630239